<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

only_reg();
$set['title']='Редоктирование анкеты';
include_once '../sys/inc/thead.php';
title();

if (isset($_POST['save'])){
if (isset($_POST['pol']) && $_POST['pol']==1)
{
$user['pol']=1;
mysql_query("UPDATE `user` SET `pol` = '1' WHERE `id` = '$user[id]' LIMIT 1");
}
if (isset($_POST['pol']) && $_POST['pol']==0)
{
$user['pol']=0;
mysql_query("UPDATE `user` SET `pol` = '0' WHERE `id` = '$user[id]' LIMIT 1");
}
if (isset($_POST['vk_ank_ot']) && preg_match('#^([A-zА-я \-]*)$#ui', $_POST['vk_ank_ot']))
{
$user['vk_ank_ot']=$_POST['vk_ank_ot'];
mysql_query("UPDATE `user` SET `vk_ank_ot` = '".my_esc($user['vk_ank_ot'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err[]='Неверный формат отчества';

if (isset($_POST['vk_ank_famil']) && preg_match('#^([A-zА-я \-]*)$#ui', $_POST['vk_ank_famil']))
{
$user['vk_ank_famil']=$_POST['vk_ank_famil'];
mysql_query("UPDATE `user` SET `vk_ank_famil` = '".my_esc($user['vk_ank_famil'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err[]='Неверный формат фамилии';

if (isset($_POST['vk_ank_name']) && preg_match('#^([A-zА-я \-]*)$#ui', $_POST['vk_ank_name']))
{
$user['vk_ank_name']=$_POST['vk_ank_name'];
mysql_query("UPDATE `user` SET `vk_ank_name` = '".my_esc($user['vk_ank_name'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err[]='Неверный формат имени';

if (isset($_POST['ank_d_r']) && (is_numeric($_POST['ank_d_r']) && $_POST['ank_d_r']>0 && $_POST['ank_d_r']<=31 || $_POST['ank_d_r']==NULL))
{
$user['ank_d_r']=$_POST['ank_d_r'];
if ($user['ank_d_r']==null)$user['ank_d_r']='null';
mysql_query("UPDATE `user` SET `ank_d_r` = $user[ank_d_r] WHERE `id` = '$user[id]' LIMIT 1");
if ($user['ank_d_r']=='null')$user['ank_d_r']=NULL;
}
else $err[]='Неверный формат дня рождения';

if (isset($_POST['ank_m_r']) && (is_numeric($_POST['ank_m_r']) && $_POST['ank_m_r']>0 && $_POST['ank_m_r']<=12 || $_POST['ank_m_r']==NULL))
{
$user['ank_m_r']=$_POST['ank_m_r'];
if ($user['ank_m_r']==null)$user['ank_m_r']='null';
mysql_query("UPDATE `user` SET `ank_m_r` = $user[ank_m_r] WHERE `id` = '$user[id]' LIMIT 1");
if ($user['ank_m_r']=='null')$user['ank_m_r']=NULL;
}
else $err[]='Неверный формат месяца рождения';

if (isset($_POST['ank_g_r']) && (is_numeric($_POST['ank_g_r']) && $_POST['ank_g_r']>0 && $_POST['ank_g_r']<=date('Y') || $_POST['ank_g_r']==NULL))
{
$user['ank_g_r']=$_POST['ank_g_r'];
if ($user['ank_g_r']==null)$user['ank_g_r']='null';
mysql_query("UPDATE `user` SET `ank_g_r` = $user[ank_g_r] WHERE `id` = '$user[id]' LIMIT 1");
if ($user['ank_g_r']=='null')$user['ank_g_r']=NULL;
}
else $err[]='Неверный формат года рождения';

if (isset($_POST['vk_ank_sem_pol']) && $_POST['vk_ank_sem_pol']==0)
{
$user['vk_ank_sem_pol']=0;
mysql_query("UPDATE `user` SET `ank_brak` = '".($user['ank_brak']=0)."' WHERE `id` = '$user[id]'");
}
if (isset($_POST['vk_ank_sem_pol']) && $_POST['vk_ank_sem_pol']==1)
{
$user['vk_ank_sem_pol']=1;
mysql_query("UPDATE `user` SET `vk_ank_sem_pol` = '".($user['vk_ank_sem_pol']=1)."' WHERE `id` = '$user[id]'");
}
if (isset($_POST['vk_ank_sem_pol']) && $_POST['vk_ank_sem_pol']==2)
{
$user['vk_ank_sem_pol']=2;
mysql_query("UPDATE `user` SET `vk_ank_sem_pol` = '".($user['vk_ank_sem_pol']=2)."' WHERE `id` = '$user[id]'");
}
if (isset($_POST['vk_ank_sem_pol']) && $_POST['vk_ank_sem_pol']==3)
{
$user['vk_ank_sem_pol']=3;
mysql_query("UPDATE `user` SET `vk_ank_sem_pol` = '".($user['vk_ank_sem_pol']=3)."' WHERE `id` = '$user[id]'");
}
if (isset($_POST['vk_ank_sem_pol']) && $_POST['vk_ank_sem_pol']==4)
{
$user['vk_ank_sem_pol']=4;
mysql_query("UPDATE `user` SET `vk_ank_sem_pol` = '".($user['vk_ank_sem_pol']=4)."' WHERE `id` = '$user[id]'");
}
if (isset($_POST['vk_ank_sem_pol']) && $_POST['vk_ank_sem_pol']==5)
{
$user['vk_ank_sem_pol']=5;
mysql_query("UPDATE `user` SET `vk_ank_sem_pol` = '".($user['vk_ank_sem_pol']=5)."' WHERE `id` = '$user[id]'");
}
if (isset($_POST['vk_ank_sem_pol']) && $_POST['vk_ank_sem_pol']==6)
{
$user['vk_ank_sem_pol']=6;
mysql_query("UPDATE `user` SET `vk_ank_sem_pol` = '".($user['vk_ank_sem_pol']=6)."' WHERE `id` = '$user[id]'");
}
if (isset($_POST['vk_ank_sem_pol']) && $_POST['vk_ank_sem_pol']==7)
{
$user['vk_ank_sem_pol']=7;
mysql_query("UPDATE `user` SET `vk_ank_sem_pol` = '".($user['vk_ank_sem_pol']=7)."' WHERE `id` = '$user[id]'");
}



if (!isset($err))msg('Изменения успешно приняты');
}

err();
aut();
?>
<html>
<style>
.even{padding:3px;
border-top:1px dotted #CCC
}
.row3{
padding:3px;
background-color:#e1e1e1
}
</style>
</html>
<?

echo "<div class='row3'>Основное | <a href='kontakt.php'>Контакты</a> | <a href='inform.php'>Интересы</a></div>";



echo "<form method='post' action='?$passgen'>\n";
echo "<div class='even'>Фамилия:\n <input type='text' name='vk_ank_famil' value='".output_text($user['vk_ank_famil'],false)."' maxlength='32' /><br /></div>\n";
echo "<div class='even'>Имя:\n <input type='text' name='vk_ank_name' value='".output_text($user['vk_ank_name'],false)."' maxlength='32' /><br /></div>\n";
echo "<div class='even'>Очество:\n <input type='text' name='vk_ank_ot' value='".output_text($user['vk_ank_ot'],false)."' maxlength='32' /><br /></div>\n";
echo "<div class='even'>Пол: <input name='pol' type='radio' ".($user['pol']==1?' checked="checked"':null)." value='1' />Муж. <input name='pol' type='radio' ".($user['pol']==0?' checked="checked"':null)." value='0' />Жен.";
echo '</div>';
	


echo '<div class="even">Дата рождения:
<select name="ank_d_r">
<option selected="'.$user['ank_d_r'].'" value="'.$user['ank_d_r'].'" >'.$user['ank_d_r'].'</option>';
?><option value="1">1</option>
<option value="2">2</option>
<option value="3">3</option>
<option value="4">4</option>
<option value="5">5</option>
<option value="6">6</option>
<option value="7">7</option>
<option value="8">8</option>
<option value="9">9</option>
<option value="10">10</option>
<option value="11">11</option>
<option value="12">12</option>
<option value="13">13</option>
<option value="14">14</option>
<option value="15">15</option>
<option value="16">16</option>
<option value="17">17</option>
<option value="18">18</option>
<option value="19">19</option>
<option value="20">20</option>
<option value="21">21</option>
<option value="22">22</option>
<option value="23">23</option>
<option value="24">24</option>
<option value="25">25</option>
<option value="26">26</option>
<option value="27">27</option>
<option value="28">28</option>
<option value="29">29</option>
<option value="30">30</option>
<option value="31">31</option>
</select><?
echo '<select name="ank_m_r">
<option selected="'.$user['ank_m_r'].'" value="'.$user['ank_m_r'].'" >'.$user['ank_m_r'].'</option>';
?><option value="1">1</option>
<option value="2">2</option>
<option value="3">3</option>
<option value="4">4</option>
<option value="5">5</option>
<option value="6">6</option>
<option value="7">7</option>
<option value="8">8</option>
<option value="9">9</option>
<option value="10">10</option>
<option value="11">11</option>
<option value="12">12</option>
</select><?
echo '<select name="ank_g_r">
<option selected="'.$user['ank_g_r'].'" value="'.$user['ank_g_r'].'" >'.$user['ank_g_r'].'</option>
<option value="2007">2007</option>
<option value="2006">2006</option>
<option value="2005">2005</option>
<option value="2004">2004</option>
<option value="2003">2003</option>
<option value="2002">2002</option>
<option value="2001">2001</option>
<option value="2000">2000</option>
<option value="1999">1999</option>
<option value="1998">1998</option>
<option value="1997">1997</option>
<option value="1996">1996</option>
<option value="1995">1995</option>
<option value="1994">1994</option>
<option value="1993">1993</option>
<option value="1992">1992</option>
<option value="1991">1991</option>
<option value="1990">1990</option>
<option value="1989">1989</option>
<option value="1988">1988</option>
<option value="1987">1987</option>
<option value="1986">1986</option>
<option value="1985">1985</option>
<option value="1984">1984</option>
<option value="1983">1983</option>
<option value="1982">1982</option>
<option value="1981">1981</option>
<option value="1980">1980</option>
<option value="1979">1979</option>
<option value="1978">1978</option>
<option value="1977">1977</option>
<option value="1976">1976</option>
<option value="1975">1975</option>
<option value="1974">1974</option>
<option value="1973">1973</option>
<option value="1972">1972</option>
<option value="1971">1971</option>
<option value="1970">1970</option>
<option value="1969">1969</option>
<option value="1968">1968</option>
<option value="1967">1967</option>
<option value="1966">1966</option>
<option value="1965">1965</option>
<option value="1964">1964</option>
<option value="1963">1963</option>
<option value="1962">1962</option>
<option value="1961">1961</option>
<option value="1960">1960</option>
<option value="1959">1959</option>
<option value="1958">1958</option>
<option value="1957">1957</option>
<option value="1956">1956</option>
<option value="1955">1955</option>
<option value="1954">1954</option>
<option value="1953">1953</option>
<option value="1952">1952</option>
<option value="1951">1951</option>
<option value="1950">1950</option>
<option value="1949">1949</option>
<option value="1948">1948</option>
<option value="1947">1947</option>
</select><br /></div>';


echo "<div class='even'>";
echo "<b>Семейное положение:</b>";
echo "<br /> <input name='vk_ank_sem_pol' type='radio' ".($user['vk_ank_sem_pol']==0?' checked="checked"':null)." value='0' /> - Не выбрано -<br />";
echo " <input name='vk_ank_sem_pol' type='radio' ".($user['vk_ank_sem_pol']==1?' checked="checked"':null)." value='1' />Не женат<br/>";
echo " <input name='vk_ank_sem_pol' type='radio' ".($user['vk_ank_sem_pol']==2?' checked="checked"':null)." value='2' />Есть подруга<br/>";
echo " <input name='vk_ank_sem_pol' type='radio' ".($user['vk_ank_sem_pol']==3?' checked="checked"':null)." value='3' />Помолвлен<br/>";
echo " <input name='vk_ank_sem_pol' type='radio' ".($user['vk_ank_sem_pol']==4?' checked="checked"':null)." value='4' />Женат<br/>";
echo " <input name='vk_ank_sem_pol' type='radio' ".($user['vk_ank_sem_pol']==5?' checked="checked"':null)." value='5' />Влюблен<br/>";
echo " <input name='vk_ank_sem_pol' type='radio' ".($user['vk_ank_sem_pol']==6?' checked="checked"':null)." value='6' />Все сложно<br/>";
echo " <input name='vk_ank_sem_pol' type='radio' ".($user['vk_ank_sem_pol']==7?' checked="checked"':null)." value='7' />В активном поиске<br/>";

echo "</div>";
echo "<div class='even'><input type='submit' name='save' value='Сохранить' /></div>\n";
echo "</form>\n";
echo "<div class='foot'>\n";
echo "&raquo;<a href='/anketa/info.php'>Посмотреть анкету</a><br />\n";



echo "</div>\n";
include_once '../sys/inc/tfoot.php';
?>